# @(#) $Id: nsd.tcl,v 1.2 1999/10/19 17:12:25 mayoff Exp $

set user [exec whoami]
set home [exec pwd]
set host [exec hostname]

ns_section "ns/parameters"
ns_param debug     on
ns_param User      $user
ns_param Home      $home
ns_param StackSize 250000

ns_section "ns/servers"
ns_param server1 "Virtual Server One"

ns_section "ns/server/server1"
ns_param DirectoryFile  index.html
ns_param EnableTclPages on                          ;###

ns_section "ns/server/server1/modules"
ns_param nssock   nssock.so
ns_param nslog    nslog.so
ns_param tclpages dqd_tclpages.so                   ;###

ns_section "ns/server/server1/module/nssock"
ns_param Port     8000
ns_param Hostname $host

ns_section "ns/server/server1/module/tclpages"      ;###
ns_param Cache         on                           ;###
ns_param CacheMaxSize  [expr 5*1024*1024]           ;###
ns_param CacheMaxEntry [expr 32*1024]               ;###
ns_param Map           *.tcl                        ;###
